# APKUpdater [![](https://github.com/rumboalla/apkupdater/workflows/Android%20Build/badge.svg)](https://github.com/rumboalla/apkupdater/actions?query=workflow%3A%22Android+Build%22)
**APKUpdater** is an open source tool that simplifies the process of **finding updates** for your installed apps.  
It provides similar functionality to an app store, but instead of depending on a single source, it aggregates the results from **APKMirror**, **Aptoide**, **F-Droid** and **GitHub**.

The 3.x branch is a full rewrite using modern technologies like **Jetpack Compose**, **Flow** and **WorkManager**.

# Features
* **Update Sources**: Find updates from **APKMirror**, **Aptoide**, **F-Droid** and **GitHub**.
* **Search Sources**: Find new apps to install from **APKMirror**, **Aptoide**, **F-Droid** and **GitHub**.
* Schedule **background update checks** and receive a **notification** when updates are found.
* Supports **Android 5** (**21**) to **Android 14** (**34**).
* Supports **Android TV**.
* **Material Design 3** with **Dark**, **Light** and **System** theme support.
* Supports **Material You** on Android 12+.
* **Direct install** of updates for sources that support it.
* Supports **installs without user interaction** on Android 12+.
* **Root install** of updates.
* No ads. No tracking.
* **Languages**: English, Spanish, Dutch, German, Traditional Chinese, Simplified Chinese, Romanian, Italian, Portuguese, Russian, Turkish.

# Download
* [Stable Release (3.0.0)](https://github.com/rumboalla/apkupdater/releases/latest/download/com.apkupdater-release.apk)
* [Older releases](https://github.com/rumboalla/apkupdater/releases)

# Translations
If you want to help with translations, open a [Pull Request](https://github.com/rumboalla/apkupdater/pulls) or an [Issue](https://github.com/rumboalla/apkupdater/issues) with the translated strings.xml

* Dutch by [AnonymousWP](https://github.com/AnonymousWP)
* German by [peat80](https://github.com/peat80)
* Traditional Chinese by [abc0922001](https://github.com/abc0922001)
* Simplified Chinese by [Nriver](https://github.com/Nriver)
* Romanian by [StormProductionsMusic](https://github.com/StormProductionsMusic)
* Italian by [NicKoehler](https://github.com/NicKoehler)
* Portuguese by [zekabra](https://github.com/zekabra)
* Russian by [Xenorant](https://github.com/Xenorant)
* Turkish by [kyoyacchi](https://github.com/kyoyacchi)

# Feedback
- To give feedback and request new features go to [Discussions](https://github.com/rumboalla/apkupdater/discussions).
- To report bugs, crashes, typos and translations go to [Issues](https://github.com/rumboalla/apkupdater/issues).

# Screenshots

| ![1](https://github.com/rumboalla/apkupdater/assets/21153554/b5b4943b-e12a-43e2-a056-26d6f06f9bc4) | ![2](https://github.com/rumboalla/apkupdater/assets/21153554/c4679c1b-09d4-429d-9160-77d4d33b0a0f) | ![3](https://github.com/rumboalla/apkupdater/assets/21153554/7b89c5a6-672c-44e4-836e-e01f51f33591) | ![4](https://github.com/rumboalla/apkupdater/assets/21153554/7ec15783-e719-4feb-9e07-a14c0f1defcc) |
|----------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------|

| ![5](https://github.com/rumboalla/apkupdater/assets/21153554/bbf1132a-b0b6-4890-aed7-8fe95c0da11b) | ![6](https://github.com/rumboalla/apkupdater/assets/21153554/32236bfb-b53e-4999-8363-e957fa8f77a9) |
|----------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------|

# Other Projects
* [CoolRs](https://github.com/rumboalla/coolrs): A collection of Android RenderScript effects. 
* [KryptoPrefs](https://github.com/rumboalla/KryptoPrefs): Kotlin library for handling encrypted SharedPreferences.

# License
Copyright &copy; 2016-2023 rumboalla.  
Licensed under the [GNU General Public License v3](https://www.gnu.org/licenses/gpl-3.0.en.html).
